Subject: RE: Contribution of the PPVPN WG

From: "Ron Haberman" <[email-masked]>
Date: Wed, 7 May 2003 10:11:41 -0400

Rahul,
Inline...

> -----Original Message-----
> From: Rahul Aggarwal [mailto:[email-masked]] 
> Sent: Tuesday, May 06, 2003 7:08 PM
> To: Pedro Roque Marques
> Cc: Ron Haberman; [email-masked]
> Subject: Contribution of the PPVPN WG
> 
> 
> 
> Hi Ron and Pedro,
> 
> [Took the liberty of changing the subject line]
> 
> Your mails bring out a very key question. The PPVPN WG has 
> been in the business of developing L3 and L2 VPN technology 
> that providers can deploy to offer these services. 
> 
> Do providers feel they are unable to deploy/offer L3 VPN 
> service because of limitations with the WG ?

RH> I don't. I have all the technology pieces that I need at this point
to offer the service. Could there be improvements? Yes. Would I feel
differently if my company had a policy of not adopting technologies
before the standard? Probably yes... (I really hope that other SP have
that policy)

> 
> Do providers feel they are unable to deploy/offer L2 VPN 
> service because of limitations with the WG ?
RH> Not at this point. I think the two (LDP, BGP) solutions are
available and ready. At least to the point of my own satisfaction with
results of testing them in my lab. I have my opinion and was able to
convince enough people at my company to choose one. If at any point
either I will feel differently (because of the market, improvements to
the other solution, etc) I will go through the usual "dealing with the
vendor" to accommodate the change. There is no visible difference to my
customer, which is the most important thing to me as a SP. That allows
me to pick the best solution according to how the it affects my
backbone: efficient use of protocols, easy of configuration, easy of
change and integration of the new service with companies product line.

> 
> If the answer is yes, what are these limitations ? From a 
> distance it seems that the business/economic case is more of 
> a reason, if any, for any seemingly slow deployment.
> 
> Or do vendors feel they are unable to develop this technology 
> because of limitations with this WG ? 
>    My answer to this is no.
> 
> Regards,
> rahul
> 
> 
> On Tue, 6 May 2003, Pedro Roque Marques wrote:
> 
> > Ron Haberman writes:
> > 
> > > Masergy Communications is an example for a company that 
> actually IS 
> > > running all three VPNs. We are running L2 point to point 
> for about 
> > > two years, 2547 for more than a year and are actually currently 
> > > running (currently as in not planning to, thinking about it,
> > > evaluating) VPLS service for about a month and a half in our 
> > > production network.
> > 
> > Ron,
> > How would you rate the contribution of the ppvpn WG to the services 
> > that you are providing ? Are those solutions based on technology 
> > discussed in this WG ?
> > 
> > The proposed reoganization is based on:
> >    "numerous concerns that the IESG members received from the WG
> >     participants about limited and slow progress within the 
> WG despite the
> >     efforts of the WG chairs and its members."
> > 
> > I assume that those concerns about "limited and slow progress" have 
> > been voiced mostly in private. To a more distant observer 
> like myself 
> > it isn't easy to understand what those are and what constitutes a 
> > messure of "success" or "failure" of the WG efforts.
> > 
> > I'm hoping that we can learn from whatever concerns exist with the 
> > current group in order for those issues not to reoccur with the new 
> > proposed structure.
> > 
> > I would hope that people like yourself which are activly engaged in 
> > deploying the technology can point out the things this WG did 
> > correctly (if any) or wrongly.
> > 
> > regards,
> >   Pedro.
> > 
> > 
> > 
> 
>

---

From: Rahul Aggarwal <[email-masked]>
Date: Wed, 7 May 2003 18:48:44 -0700 (PDT)

Hi Ron,

Thanks for your comments. I am not against or for splitting the PPVPN WG
into two different WGs. I just feel that its helpful to understand the
existing limitations and if they can be addressed by the split. Hence
specific feedback like yours is very useful.

I do share the concern that several other folks have expressed about how
aspects common to L2 and L3 VPN (requirements and solutions) will be
handled after the split. 

Regards,
rahul